[ooo-build-commit] .: Branch 'ooo-build-3-2' - bin/localize-ooo bin/unpack
Petr Mladek
pmladek at kemper.freedesktop.org
Tue Feb 16 07:54:58 PST 2010
bin/localize-ooo | 8 ++++----
bin/unpack | 10 ++++++++++
2 files changed, 14 insertions(+), 4 deletions(-)
New commits:
commit 0e3c9d1dad0a372946cc581d548f4449a8e521fe
Author: Petr Mladek <pmladek at suse.cz>
Date: Tue Feb 16 16:50:36 2010 +0100
Add vendor to the localized Windows installer; patch by Andras (bnc#571489)
* bin/unpack: add vendor to the localized Windows installer; patch by Andras
Timar <timar at fsf dot hu>
* bin/localize-ooo: work with temp files in strange paths
diff --git a/bin/localize-ooo b/bin/localize-ooo
index aa4e3c7..c90bafe 100755
--- a/bin/localize-ooo
+++ b/bin/localize-ooo
@@ -30,18 +30,18 @@ merge_localization()
# we do not want en-US strings
sdf_file_filtered=`mktemp /tmp/localize-ooo-sdf-filtered-XXXXXX`
- awk -F "\t" '{ if ($10 != "en-US") print }' "$sdf_file" >$sdf_file_filtered
+ awk -F "\t" '{ if ($10 != "en-US") print }' "$sdf_file" >"$sdf_file_filtered"
# merge the localization
- if test `wc -l $sdf_file_filtered | cut -d " " -f 1` -eq 0 ; then
+ if test `wc -l "$sdf_file_filtered" | cut -d " " -f 1` -eq 0 ; then
echo "Warning: Ignoring empty extra localization $(basename $sdf_file)..."
else
echo "Merging extra localization $(basename $sdf_file)..."
- localize -m -x -o -l $langcode -f $sdf_file_filtered || exit 1;
+ localize -m -x -o -l "$langcode" -f "$sdf_file_filtered" || exit 1;
echo ""
fi
- rm $sdf_file_filtered
+ rm "$sdf_file_filtered"
}
# build the localize tool if needed (only in the non-split build)
diff --git a/bin/unpack b/bin/unpack
index 7cbe404..3679b4a 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -351,6 +351,16 @@ case "$OOO_LANGS" in
esac
fi
+# workaround for i#95634, bnc#571489
+
+if test "z$PIECE" = "z"; then
+ if [ -d $OOBUILDDIR/l10n ]; then
+ for file in `find $OOBUILDDIR/l10n -type f -name "localize.sdf"` ; do
+ chmod 644 $file
+ perl -i -pe "s/(instsetoo_native\tinc_openoffice\\windows\\msi_languages\\Control.ulf.*OOO_CONTROL_124.*)Sun Microsystems, Inc./\1$ENV{"VENDORNAME"}/" $file
+ done
+ fi
+fi
# copy in unowinreg.dll if we need to
# it is necessary in ODK
More information about the ooo-build-commit
mailing list